# GenerationVariant

@ Target (allowedTargets = [ AnnotationTarget.TYPE_PARAMETER , AnnotationTarget.VALUE_PARAMETER ])
annotation class GenerationVariant (val type: KClass <*>, val conversion: String , val argName: String = "", val genericTypes: KClass <*>)(source)

#### Parameters

argName

New argument name. Default - empty - means "use default arg name"

type

Qualified class name, like "dev.inmo.micro_utils.ksp.variants.GenerationVariant"

conversion

Conversion string with `this`

## Properties

argName
Link copied to clipboard
val argName : String
conversion
Link copied to clipboard
val conversion : String
genericTypes
Link copied to clipboard
val genericTypes : Array <out KClass <*>>
type
Link copied to clipboard
val type : KClass <*>